<!doctype html>
<html>
<head>
    <title>Graph</title>
    <style type="text/css">
        html, body {
            font: 16pt arial;
			background-color: #FDEDEC;
        }

        #viz {
            width: 1200px;
            height: 700px;
            font: 22pt arial;
        }

    </style>
	
    <script src="https://cdn.neo4jlabs.com/neovis.js/v1.5.0/neovis.js"></script>
	


    <script
            src="https://code.jquery.com/jquery-3.2.1.min.js"
            integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
            crossorigin="anonymous"></script>

    <script type="text/javascript">
		var viz;

		function draw() {
			var config = {
				container_id: "viz",
				server_url: "bolt://localhost:11003",
				server_user: "neo4j",
				server_password: "12345678",
				labels: {
					'Movie':{
						"caption":"title",
						"image": 'https://image.flaticon.com/icons/png/512/306/306337.png',
						

					},
					'Person':{
						"caption":'name',
						"image": "https://cdn2.iconfinder.com/data/icons/cinema-42/64/3._chair_actor_film_cinema_movie_filming-512.png"
					},
					'Director':{
						"caption":'name',
						"image": "https://i.pinimg.com/originals/78/6d/ec/786dec26c94e7d972f0f7bae7fd85e40.png"
					}                    
				},
				relationships: {
					"ACTED_IN": {
						"thickness": "weight",
						"caption": false,
					},
					"WROTE": {
						"thickness": "weight",
						"caption": false,
					},
					"DIRECTED": {
						"thickness": "weight",
						"caption": false,
					},
				},
				initial_cypher: "MATCH (n)-[r]->(m) RETURN n,r,m",
				arrows: true
			};

			viz = new NeoVis.default(config);
			viz.render();
			console.log(viz);

		}
    </script>
</head>
<body onload="draw()">
	
<div id="viz"></div>


Cypher query: <textarea rows="4" cols=50 id="cypher"></textarea><br>
<input type="submit" value="Submit" id="reload">


</body>

<script>
	$("#reload").click(function() {

		var cypher = $("#cypher").val();

		if (cypher.length > 3) {
			viz.renderWithCypher(cypher);
		} else {
			console.log("reload");
			viz.reload();

		}

	});

</script>
</html>